Subject: Re: bug#19622: 25.0.50; Spell checking and Unicode don't mix...

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Jan 2015 05:32:50 +0200

> Date: Mon, 19 Jan 2015 16:44:08 -0500
> From: "Perry E. Metzger" <[email-masked]>
> Cc: [email-masked]
> 
> On Mon, 19 Jan 2015 18:20:11 +0200 Eli Zaretskii <[email-masked]> wrote:
> > > Date: Mon, 19 Jan 2015 08:15:01 -0500
> > > From: "Perry E. Metzger" <[email-masked]>
> > > Cc: [email-masked]
> > > 
> > > > It's up to the speller, so it isn't an Emacs
> > > > problem/bug/issue.  The characters that are word constituent
> > > > are stated in the .aff file for the language you use, and they
> > > > come with the speller (and are tailored to what the speller
> > > > does and doesn't know about the word structure). Emacs cannot
> > > > fix that.
> > > 
> > > Emacs could replace punctuation on its way down the pipe to
> > > the inferior process if it wishes to as a stop gap.
> > 
> > Wouldn't some users object to such replacements?  They could mask
> > mis-spelled words.
> 
> Then make it a knob the user can configure in their init file.
> 
> > Also, how would Emacs know that the replacement will DTRT with the
> > speller which is being used?
> 
> The user can decide on their own if it does what they want. No need
> to make such a thing the default or mandatory, it is sufficient if a
> hook exists for the purpose for those that want to use it.
> 
> > IOW, I'm not at all sure this is a problem that Emacs could and
> > should fix.  Why not report it upstream to the developers of the
> > speller you use?
> 
> I may do that as well, but there's nothing wrong with having more
> than one way to get around the problem, and releases of the spell
> checkers commonly used by emacs users are sometimes many years apart.

If you can propose a patch, we can consider it.  TIA.